import { Injectable, UnauthorizedException } from '@nestjs/common';
import { TicketDataService } from '../data/services/ticket.service';
import { QueueOrder } from './entities/order.entity';

@Injectable()
export class QueueOrchestrator {
  constructor(private readonly dataService: TicketDataService) {}

  async loginCustomer(id: string): Promise<QueueOrder> {
    try {
      return await this.dataService.loginQueue(id);
    } catch (error) {
      throw new UnauthorizedException({
        message: 'Invoice tidak ditemukan',
        error: 'INVOICE_NOT_FOUND',
      });
    }
  }
}
